org.apache.tomcat.util.bcel.classfile

## Class ConstantFloat

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantFloat

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantFloat
    extends Constant

This class is derived from the abstract Constant class and represents a reference to a float object.

Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`tag`

### Constructor Summary

Constructors
Constructor and Description
`ConstantFloat(float bytes)`

### Method Summary

Methods
`float` `getBytes()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`clone, equals, getTag, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstantFloat

    public ConstantFloat(float bytes)

Parameters:
  `bytes` - Data

### Method Detail

#### getBytes

    public final float getBytes()

Returns:
  data, i.e., 4 bytes.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Constant`
Returns:
  String representation.